org.apache.lucene.benchmark.byTask.tasks

## Class RepSumByPrefRoundTask

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.tasks.PerfTask
  - - org.apache.lucene.benchmark.byTask.tasks.ReportTask
    - - org.apache.lucene.benchmark.byTask.tasks.RepSumByPrefTask
      - - org.apache.lucene.benchmark.byTask.tasks.RepSumByPrefRoundTask

- All Implemented Interfaces:
    Cloneable

      public class RepSumByPrefRoundTask
      extends RepSumByPrefTask

  Report all prefix matching statistics grouped/aggregated by name and round.
  Other side effects: None.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.RepSumByPrefTask

      `prefix`

    - ### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.ReportTask

      `COLS, ELAPSED, newline, OP, RECCNT, RECSEC, ROUND, RUNCNT, TOTMEM, USEDMEM`

    - ### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

      `logStep, NEW_LINE, params, stopNow`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepSumByPrefRoundTask(PerfRunData runData)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `doLogic()` Perform the task once (ignoring repetitions specification) Return number of work items done by this task.
    `protected Report` | `reportSumByPrefixRound(List<TaskStats> taskStats)`

    - ### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.RepSumByPrefTask

      `reportSumByPrefix, setPrefix, toString`

    - ### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.ReportTask

      `genPartialReport, longestOp, shouldNeverLogAtStart, shouldNotRecordStats, tableTitle, taskReportLine`

    - ### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

      `clone, close, getAlgLineNum, getBackgroundDeltaPriority, getDepth, getLogMessage, getName, getParams, getRunData, getRunInBackground, isDisableCounting, runAndMaybeStats, setAlgLineNum, setDepth, setDisableCounting, setName, setParams, setRunInBackground, setup, stopNow, supportsParams, tearDown`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RepSumByPrefRoundTask

          public RepSumByPrefRoundTask(PerfRunData runData)

  - ### Method Detail

    - #### doLogic

          public int doLogic()
                      throws Exception

      Description copied from class: `PerfTask`
      Perform the task once (ignoring repetitions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.
      Overrides:
        `doLogic` in class `RepSumByPrefTask`
      Returns:
        number of work items done by this task.
      Throws:
        `Exception`

    - #### reportSumByPrefixRound

          protected Report reportSumByPrefixRound(List<TaskStats> taskStats)

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.